Name:           target-isns
License:        GPLv2+
Summary:        An iSNS client for the Linux LIO iSCSI target 
Version:        0.6.6
Release:        1%{?dist}
URL:            https://github.com/cvubrugier/target-isns
Source:         https://github.com/open-iscsi/target-isns/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  cmake systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Target-isns is an Internet Storage Name Service (iSNS) client for the Linux
LIO iSCSI target. It allows registering LIO iSCSI targets with an iSNS server.

%prep
%setup -q

%build
%cmake -DSUPPORT_SYSTEMD=ON .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -m 644 target-isns.service %{buildroot}%{_unitdir}

%post
%systemd_post target-isns.service

%preun
%systemd_preun target-isns.service

%postun
%systemd_postun_with_restart target-isns.service

%files
%{_bindir}/target-isns
%config(noreplace) %{_sysconfdir}/target-isns.conf
%{_mandir}/man8/target-isns.8.gz
%{_unitdir}/target-isns.service
%doc README.md
%license COPYING

%changelog
* Fri Dec 20 2019 Tom Callaway <spot@fedoraproject.org> - 0.6.6-1
- update to 0.6.6

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Andy Grover <agrover@redhat.com> - 0.6.2-1
- New upstream version

* Fri Oct 16 2015 Andy Grover <agrover@redhat.com> - 0.5-2
- Initial Fedora packaging
